org.licas.ws.soap

## Class Soap_MethodHandler

- java.lang.Object
- - org.licas.ws.soap.Soap_BaseHandler
  - - org.licas.ws.soap.Soap_MethodHandler

- All Implemented Interfaces:
    RemoteCallDef

      public class Soap_MethodHandler
      extends Soap_BaseHandler

  This acts as an interface for making SOAP-style calls on Web Services.
  Author:
    Kieran Greer

- - ### Field Summary

    - ### Fields inherited from class org.licas.ws.soap.Soap_BaseHandler

      `TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Soap_MethodHandler()` Creates a new instance of Soap_MethodHandler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.soap.SOAPMessage` | `construct(MethodInfo methodInfo)` Construct a SOAP message from a `WsMethodInfo` description.
    `java.lang.Object` | `execute(MethodInfo methodInfo)` Execute a soap call.
    `java.lang.String` | `getCallType()` Get the value indicating the type of remote call.

    - ### Methods inherited from class org.licas.ws.soap.Soap_BaseHandler

      `isMethodCall, rtnNamespace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Soap_MethodHandler

          public Soap_MethodHandler()

      Creates a new instance of Soap_MethodHandler.

  - ### Method Detail

    - #### execute

          public java.lang.Object execute(MethodInfo methodInfo)
                                   throws java.lang.Exception

      Execute a soap call. Use this method to pass the dataset in a single call.
      Parameters:
        `methodInfo` - the `WsMethodInfo` that describes the call.
      Returns:
        Object the reply to the call.
      Throws:
        `java.lang.Exception` - any error.

    - #### construct

          public javax.xml.soap.SOAPMessage construct(MethodInfo methodInfo)
                                               throws java.lang.Exception

      Construct a SOAP message from a `WsMethodInfo` description. Note that the endpoint, or http address to send to, is not included in the returned message, but it is still included in the method info object.
      Parameters:
        `methodInfo` - the `WsMethodInfo` object to parse.
      Returns:
        the constructed soap message.
      Throws:
        `java.lang.Exception` - any error.

    - #### getCallType

          public java.lang.String getCallType()

      Get the value indicating the type of remote call.
      Returns:
        the value of callType.